MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0022073Community[OCCT] OCCT:Modeling Algorithmspublic2010-10-13 14:222011-11-25 15:12
Reporterszy 
Assigned Tojgv 
PrioritynormalSeveritytrivial 
StatusclosedResolutionfixed 
PlatformOSAllOS Version
Product Version 
Target VersionFixed in Version[OCCT] 6.5.0 
Summary0022073: Exception in BRepOffsetAPI_MakePipeShell Build method
DescriptionException - OSD_Exception_ACCESS_VIOLATION is raised calling Build method.
Scenario to reproduce:
- restore spine.brep spine
- restore sect1.brep s1
- restore sect2.brep s2
mksweep spine
addsweep s1
addsweep s2
buildsweep res -R;
## with any other parameters: -C | -M - the same exception
##using setsweep -FR | -CF leads to the exception too

Community:
"1.I am having lots of trouble making a surface using
BRepOffsetAPI_MakePipeShell. It crashes 50% of the time and even a try/catch
block will not catch it. I have attached a picture of a typical X section wires
and the spine that I would use (note that the X section wire can be make of 3-4
edges, not always a single edge). I am not using any auxiliary spines or any
other options. Simply initialize with the spine and then add the 2 X sections
that are at the two ends of the spine which are already orthogonal to the spine.
2. BRepOffsetAPI_MakePipeShell exitPipeShell2(exitTransSpineWires[1]);
exitPipeShell2.Add(exitTranSectWires[1],Standard_False,Standard_False) ;
exitPipeShell2.Add(exitTranSectWires[2],Standard_False,Standard_False) ;

exitPipeShell2.Build(); <- this line crashes the code.
If I do not add the 2nd profile it does not crash."
Additional information
and documentation updates
Documentation remark, added by JGV 2011-02-16 12:51:08:

Changes:
For successful segmentation of intermediate surface we should locate new first
and last parameters at knots of the surface.
Modified entities:
GeomFill_NSections.cxx
TagsNo tags attached.
Test case number
Attached Fileszip file icon brepFiles.zip (27,861 bytes) 2010-10-13 12:22
gz file icon jgv-OCC22073-v1.tar.gz (11,909 bytes) 2011-02-16 14:12
? file icon script (118 bytes) 2011-02-16 14:19

- Relationships

-  Notes
(0016142)
ycy (tester)
2011-02-18 16:34
edited on: 2011-11-25 15:12

Dear BugMaster,
Workbench KAS:dev:OCC22073-v1-opt has been created from jgv-OCC22073-v1.tar.gz
and compiled on Linux platform.
There are following regressions(/differences) in OCC22073-v1-opt regarding to
KAS:dev:products-20110120-opt

Regressions were not found.

See results in /QADisk/occttests/KAS/dev/OCC22073-v1-opt_17022011/lin
See reference results in
/KASDev/OCCTtests/KAS/dev/products-20110120-opt_27012011/lin
See test cases in /QADisk/occttests/tests/ED
N.B. In order to launch testing case you can make use the following instructions
http://sbu.nnov.opencascade.com/maintenance/main_certification_te.htm [^]

(0016143)
bugmaster (administrator)
2011-02-25 12:21

Fix has been integrated to occt repository

Date: 2011-02-25 12:20:43 +0300 (Fri, 25 Feb 2011)
New Revision: 8384

Modified:
   trunk/src/GeomFill/GeomFill_NSections.cxx

- Issue History
Date Modified Username Field Change
2011-02-16 14:21 bugmaster Status closed => assigned
2011-02-16 14:21 bugmaster Resolution suspended => @0@
2011-02-16 14:22 bugmaster Assigned To bugmaster => jgv
2011-02-16 14:52 jgv Status assigned => resolved
2011-02-25 12:21 bugmaster Status resolved => verified
2011-04-06 18:58 bugmaster Status verified => closed
2011-04-06 18:58 bugmaster Resolution @0@ => fixed
2011-08-02 11:31 bugmaster Category OCCT:MOA => OCCT:Modeling Algorithms
2011-11-24 11:51 szy Description Updated View Revisions
2011-11-24 11:51 szy Additional Information Updated View Revisions
2011-11-25 15:12 szy Note Edited: 0016142 View Revisions


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker